January 20, 2022, 08:03:59 PM

News:

--


Script Error: Exception: (_tp_dict_get) KeyError: splitext

Started by Grim Reaper, January 11, 2022, 09:15:22 PM

Previous topic - Next topic

eumagga0x2a

Quote from: Grim Reaper on January 14, 2022, 10:06:36 PMI couldn't post them normally because the text content is considered to be spam.

Probably because you include the dollar sign. Anyway,

Quote from: Grim Reaper on January 14, 2022, 10:06:36 PMbrew ls -v libass
Error: No such keg: /usr/local/Cellar/libass

libass is not installed, so no wonder pkg-config doesn't find it.

brew install libass
should fix it.

Grim Reaper

January 15, 2022, 04:03:15 PM #31 Last Edit: January 15, 2022, 08:09:14 PM by Grim Reaper
I reinstalled libass, which did install, then I ran the Avidemux OSX installer build script and it failed as it did previously during 'Plugins Configuration Started' because it couldn't find libass. Attached is the 'Plugins Configuration Started' portion of the installer script run that failed.

You cannot see attachments on this board.

I ran 'brew formulae' which lists libass as one of the packages included.

I ran 'brew search --desc libass'which returned:

Admins-Mac-mini:avidemux2 admin1$ brew search --desc libass
==> Formulae

==> Casks

eumagga0x2a

Quote from: Grim Reaper on January 15, 2022, 04:03:15 PMI ran 'brew formulae' which lists libass as one of the packages included.

This command lists available formulas (formulae) no matter installed or not.

Quote from: Grim Reaper on January 15, 2022, 04:03:15 PMI ran 'brew search --desc libass'

...which was equally pointless.

Please post the output of command

date +%m%d%H && brew ls -v libass
with prompt stripped (no hostname, no username, no dollar sign, just the command and the output).

Grim Reaper

date +%m%d%H && brew ls -v libass
011518
Error: No such keg: /usr/local/Cellar/libass

eumagga0x2a

Quote from: Grim Reaper on January 15, 2022, 11:43:32 PMdate +%m%d%H && brew ls -v libass
011518
Error: No such keg: /usr/local/Cellar/libass

= libass is NOT installed. Please post the output of

brew install libass && brew ls -v libass
with prompt stripped.

Grim Reaper

January 16, 2022, 02:37:24 AM #35 Last Edit: January 16, 2022, 04:12:14 AM by Grim Reaper
Sorry, I couldn't post the output of 'brew install libass && brew ls -v libass'into a reply, attached as a pdf:
You cannot see attachments on this board.

eumagga0x2a

Thanks, this explains the misery. The package gobject-introspection, needed by libass, fails to build thus making libass installation fail. The necessary upstream patch has not been backported onto gobject-introspection branch used by Homebrew. If you can do without a working filter to hardcode subtitles into video, pass --with-internal-libass option to bootStrapOsx_Catalina.bash to avoid libass dependency.

eumagga0x2a

Quote from: Grim Reaper on January 16, 2022, 02:37:24 AMI couldn't post the output of 'brew install libass && brew ls -v libass'into a reply

If you tried to post exactly the same content as you printed to PDF, you didn't strip the prompt so that its dollar sign may have triggered a false positive:

Quote from: eumagga0x2a on January 16, 2022, 01:06:26 AMPlease post [...]

with prompt stripped.

Grim Reaper

January 16, 2022, 04:34:12 PM #38 Last Edit: January 16, 2022, 04:40:23 PM by Grim Reaper
I stripped out what you requested but it wouldn't post. I reduced the content down and it still wouldn't post. After stripping out more and more content and a number of repost attempts I wasn't allowed to post because I had made too many post attempts. Even after waiting a while I couldn't post. I had to logout and login to be able to post again.

I don't know why, after many, many, reinstallations of 'libass' which were supposedly successful it doesn't appear to be installed. Maybe it isn't installed in the correct place or the link/pointer/path to its location is incorrect. Is it possible to make the installer without 'libass' by eliminating it from the installer build script then manually add it in later?

Maybe someone else who is using Mojave and has the required installer build environment can try to build an installer for the most recent Avidemux version. If they have the same problem(s) then there is something wrong that isn't particular to my Avidemux installer build environment.

eumagga0x2a

Quote from: Grim Reaper on January 16, 2022, 04:34:12 PMI stripped out what you requested but it wouldn't post.

This is possible, unfortunately. CleanTalk, the external spam protection service, is a black box out of my control. If this forum accepts .zip as attachment, it would have been a better option compared to PDF to save the output as .txt and then zip it, however. Anyway, this is just a sideshow as the reason for problems has been identified now.

Quote from: Grim Reaper on January 16, 2022, 04:34:12 PMI don't know why, after many, many, reinstallations of 'libass' which were supposedly successful it doesn't appear to be installed.

Do you actually read what a write you? ???

Quote from: eumagga0x2a on January 16, 2022, 02:49:54 PMThe package gobject-introspection, needed by libass, fails to build thus making libass installation fail. The necessary upstream patch has not been backported onto gobject-introspection branch used by Homebrew.

Quote from: Grim Reaper on January 16, 2022, 04:34:12 PMIs it possible to make the installer without 'libass' by eliminating it from the installer build script then manually add it in later?

If someone backports the upstream gobject-introspection patch, then it will be possible to build libass in Homebrew on Mojave and the build Avidemux with a working subtitle hardcoding filter. For now, you can only

Quote from: eumagga0x2a on January 16, 2022, 02:49:54 PMpass --with-internal-libass option to bootStrapOsx_Catalina.bash to avoid libass dependency


Grim Reaper

How do I do this? 'pass --with-internal-libass option to bootStrapOsx_Catalina.bash to avoid libass dependency'


eumagga0x2a

This is done by running the command

export MACOSX_DEPLOYMENT_TARGET=10.14
cd ~/avidemux2 && bash bootStrapOsx_Catalina.bash --with-internal-libass

Grim Reaper

January 17, 2022, 05:23:22 AM #42 Last Edit: January 17, 2022, 04:27:30 PM by Grim Reaper
I ran the Avidemux2.8 build script using '--with-internal-libass' which did get past the missing 'libass' problem, but it failed to complete the build. I have attached an edited text file of the error output.

Liba52 is definitely available, ADM_liba52 Get Info:
‎⁨Macintosh HD⁩ ▸ ⁨Users⁩ ▸ ⁨admin1⁩ ▸ ⁨avidemux2⁩ ▸ ⁨avidemux_plugins⁩ ▸ ⁨ADM_audioDecoders⁩ ▸ ⁨ADM_ad_ac3⁩

What is the difference between internal and external? Why is one used in preference to the other?



You cannot see attachments on this board.



CMake Error: The following variables are used in this project, but they are set to NOTFOUND.\
Please set them or make sure they are set and tested correctly in the CMake files:\
LIBA52_INCLUDE_DIR\
   used as include directory in directory /Users/admin1/avidemux2/avidemux_plugins\
   
ADM_audioDecoders\
   used as include directory in directory /Users/admin1/avidemux2/avidemux_plugins/

ADM_audioDecoders/ADM_ad_mad/ADM_libMad\
   used as include directory in directory /Users/admin1/avidemux2/avidemux_plugins/


Continues for all the plugins...

 
MP4V2_LIBRARIES\
    linked by target "ADM_mx_mp4v2" in directory /Users/admin1/avidemux2/avidemux_plugins/ADM_muxers/muxerMp4v2\
\
\cf3 CMake Error in ADM_audioDecoders/ADM_ad_ac3/CMakeLists.txt:\cf2 \
\cf3   Found relative path while evaluating include directories of "ADM_ad_a52":\cf2 \
\
\cf3     "LIBA52_INCLUDE_DIR-NOTFOUND"\cf2 \


Continues for all LIBA52



-- Generating done\
\cf4 CMake Warning:\cf2 \
\cf4   Manually-specified variables were not used by the project:\cf2 \
\
\cf4     CMAKE_EDIT_COMMAND\cf2 \
\cf4     ENABLE_QT5\cf2 \
\
\
CMake Generate step failed.  Build files cannot be regenerated correctly.\

eumagga0x2a

It looks like neither a52dec nor mp4v2 are installed in Homebrew (or rather their installation failed and you continued regardless).

mp4v2 is not really needed (and it is deprecated in Avidemux), so you could just delete all lines of avidemux_plugins/ADM_muxers/CMakeLists.txt below line 9 without losing much.

Regarding a52dec, please post the output of

brew install a52dec && brew ls -v a52dec
If the installation of a52dec fails, you could try to pass the additional option --with-internal-liba52 to bootStrapOsx_Catalina.bash.

Grim Reaper

January 17, 2022, 05:26:34 PM #44 Last Edit: January 17, 2022, 06:43:03 PM by Grim Reaper
After 'Liba52' supposedly successfully installed, it can't be found:

pkg-config --exists --print-errors liba52
Package liba52 was not found in the pkg-config search path.

I installed libmp4v2 and ran the installer build script again and this is the output:


+ make package
Run CPack packaging tool...
CPack: Create package using DragNDrop
CPack: Install projects
CPack: - Run preinstall target for: AvidemuxBundle
CPack: - Install project: AvidemuxBundle []
CPack: Create package
CPack: - package: /Users/admin1/avidemux2/installer/Avidemux 2.8.1 Qt5 220117-13h24m_50b041949cc.dmg generated.
+ echo '** ALL DONE **'
** ALL DONE **